#include <netinet/tcp.h>
#include <netinet/udp.h>
#include <stdio.h>

#include "response.h"
#include "scan.h"

void hdr_response(struct tcphdr *hdr, const struct scan *data)
{
	if (data->type == SCAN_SYN) {
		if (hdr->ack == 1 && hdr->syn == 1)
			data->response->state = OPEN;
		else if (hdr->ack == 1 && hdr->rst == 1)
			data->response->state = CLOSE;
	} else if (data->type == SCAN_ACK && hdr->rst == 1)
		data->response->state = UNFILTERED;
	else if (data->type == SCAN_NULL && hdr->rst == 1)
		data->response->state = CLOSE;
	else if (data->type == SCAN_FIN && hdr->rst == 1)
		data->response->state = CLOSE;
	else if (data->type == SCAN_XMAS && hdr->rst == 1)
		data->response->state = CLOSE;
}

void udp_response(struct udphdr *hdr, const struct scan *data)
{
	(void)hdr;
	data->response->state = OPEN;
}
